%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 16

%global python_major python%{py_major}

%global pkgname pyparsing

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        2.4.4
Release:        2
Summary:        Python package with an object-oriented approach to text processing
License:        MIT
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
The pyparsing module is an alternative approach to creating and executing simple grammars, vs. the traditional lex/yacc approach, or the use of regular expressions. The pyparsing module provides a library of classes that client code uses to construct the grammar directly in Python code.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}


%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc CHANGES PKG-INFO README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)
#Empty

%changelog
* Fri Feb 24 2023 Reshma V Kumar <reskumar@in.ibm.com> - 2.4.4-2
- Pyparsing for python3.9
